/* $Id: mga_common_text16.h,v 1.3 1998/11/02 04:39:08 brian Exp $
******************************************************************************

   Matrox -- hardware text mode manipulation prototypes

   Copyright (C) 1997		Jonas Borgstrm
   Copyright (C) 1997		Hartmut Niemann
   Copyright (C) 1997           Matthias Grimrath

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#ifndef _MGA_COMMON_TEXT16_H_
#define _MGA_COMMON_TEXT16_H_

extern kgi_fb_ops mgatext_color_io;

void mga_text_set_font(struct kgi_display *dpy, struct kgi_font *font,
			  kgi_uint from, kgi_uint to);
void mga_text_set_origin(struct kgi_display *dpy, kgi_uint x, kgi_uint y);
void mga_set_split(struct kgi_display *dpy, int line); /* see mga_text16.c */
#define	mga_set_frame	NULL	       /* !!! implement! */

void mga_show_hw_text_cursor(struct kgi_display *dpy, kgi_uint x, kgi_uint y);
void mga_hide_hw_text_cursor(struct kgi_display *dpy);

void mga_show_sw_text_pointer(struct kgi_display *dpy, kgi_uint x, kgi_uint y);
void mga_hide_sw_text_pointer(struct kgi_display *dpy);
#define	mga_undo_sw_text_pointer mga_hide_sw_text_pointer

void mga_show_sw_text_cursor(struct kgi_display *dpy, kgi_uint x, kgi_uint y);
void mga_hide_sw_text_cursor(struct kgi_display *dpy);
#define	mga_undo_sw_text_cursor	mga_hide_sw_text_cursor

#endif /* _MGA_COMMON_TEXT16_H_ */
